Patchwork [02/10] divine: bumping version to 1.6.3

login
register
mail settings
Submitter Carsten Schoenert
Date March 10, 2013, 6:32 p.m.
Message ID <1362940371-25899-3-git-send-email-c.schoenert@gmail.com>
Download mbox | patch
Permalink /patch/226460/
State Accepted
Headers show

Comments

Carsten Schoenert - March 10, 2013, 6:32 p.m.
From: Carsten Schoenert <c.schoenert@gmail.com>

To be identical to the version of directfb switching also to version
1.6.3. The divine package needs at minimum directfb 1.6.0 as
dependencie.
Adding the license information to the package divine.
Also switch to Git for getting the package source because the tar.gz
for version 1.6.3 on directfb.org is broken because of a missed header
file inside.

Signed-off-by: Carsten Schoenert <c.schoenert@gmail.com>
---
 package/divine/divine.mk |   11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

Patch

diff --git a/package/divine/divine.mk b/package/divine/divine.mk
index b949601..df59a18 100644
--- a/package/divine/divine.mk
+++ b/package/divine/divine.mk
@@ -4,11 +4,16 @@ 
 #
 #############################################################
 
-DIVINE_VERSION = 0.4.0
-DIVINE_SITE = http://www.directfb.org/downloads/Extras
-DIVINE_SOURCE = DiVine-$(DIVINE_VERSION).tar.gz
+# tagged version 1.6.3
+DIVINE_VERSION = 83cafc257a42b9465cd9d6185bf66b8c1b7ed704
+DIVINE_SITE = git://git.directfb.org/git/directfb/extras/DiVine.git
+DIVINE_LICENSE = LGPLv2.1+
+DIVINE_LICENSE_FILE = COPYING
 DIVINE_INSTALL_STAGING = YES
 DIVINE_DEPENDENCIES = directfb
 DIVINE_CONFIG_SCRIPTS = divine-config
 
+# package has no configure script so we have generate it
+DIVINE_AUTORECONF = YES
+
 $(eval $(autotools-package))